Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.Designer.cs	(revision 6)
@@ -1579,6 +1515,71 @@
             this.Column12.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column12.Width = 150;
             // 
+            // label15
+            // 
+            this.label15.BackColor = System.Drawing.Color.Cyan;
+            this.label15.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label15.Location = new System.Drawing.Point(1052, 7);
+            this.label15.Name = "label15";
+            this.label15.Size = new System.Drawing.Size(120, 25);
+            this.label15.TabIndex = 69;
+            this.label15.Text = "発注書作成日";
+            this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            // 
+            // TabCollections
+            // 
+            this.TabCollections.Alignment = System.Windows.Forms.TabAlignment.Bottom;
+            this.TabCollections.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.TabCollections.Controls.Add(this.tabPage1);
+            this.TabCollections.Location = new System.Drawing.Point(7, 150);
+            this.TabCollections.Name = "TabCollections";
+            this.TabCollections.SelectedIndex = 0;
+            this.TabCollections.Size = new System.Drawing.Size(1330, 502);
+            this.TabCollections.TabIndex = 56;
+            // 
+            // btnOtherProc
+            // 
+            this.btnOtherProc.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+            this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
+            this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
+            this.btnOtherProc.Name = "btnOtherProc";
+            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.TabIndex = 95;
+            this.btnOtherProc.TabStop = false;
+            this.btnOtherProc.Text = "他の画面へ";
+            this.btnOtherProc.UseVisualStyleBackColor = false;
+            this.btnOtherProc.Click += new System.EventHandler(this.btnOtherProc_Click);
+            // 
+            // btnPageDelete
+            // 
+            this.btnPageDelete.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnPageDelete.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(128)))), ((int)(((byte)(255)))));
+            this.btnPageDelete.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnPageDelete.ForeColor = System.Drawing.Color.Black;
+            this.btnPageDelete.Location = new System.Drawing.Point(812, 656);
+            this.btnPageDelete.Name = "btnPageDelete";
+            this.btnPageDelete.Size = new System.Drawing.Size(120, 30);
+            this.btnPageDelete.TabIndex = 96;
+            this.btnPageDelete.Text = "ページ削除";
+            this.btnPageDelete.UseVisualStyleBackColor = false;
+            this.btnPageDelete.Click += new System.EventHandler(this.btnPageDelete_Click);
+            // 
+            // btnChangeCompany
+            // 
+            this.btnChangeCompany.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnChangeCompany.BackColor = System.Drawing.Color.DeepSkyBlue;
+            this.btnChangeCompany.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnChangeCompany.ForeColor = System.Drawing.Color.Black;
+            this.btnChangeCompany.Location = new System.Drawing.Point(686, 655);
+            this.btnChangeCompany.Name = "btnChangeCompany";
+            this.btnChangeCompany.Size = new System.Drawing.Size(120, 30);
+            this.btnChangeCompany.TabIndex = 97;
+            this.btnChangeCompany.Text = "発注先変更";
+            this.btnChangeCompany.UseVisualStyleBackColor = false;
+            this.btnChangeCompany.Click += new System.EventHandler(this.btnChangeCompany_Click);
+            // 
             // FrmPurchaseOrderEntry
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -1607,13 +1608,12 @@
             this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.FrmPurchaseOrderEntry_KeyDown);
             this.panel1.ResumeLayout(false);
             this.panel1.PerformLayout();
+            this.panel2.ResumeLayout(false);
             this.pnlApproval.ResumeLayout(false);
             this.pnlApprovalButton.ResumeLayout(false);
-            this.panel2.ResumeLayout(false);
             this.tabPage1.ResumeLayout(false);
             this.panel3.ResumeLayout(false);
             this.panel3.PerformLayout();
-            this.TabCollections.ResumeLayout(false);
             this.groupBox3.ResumeLayout(false);
             this.groupBox3.PerformLayout();
             this.groupBox2.ResumeLayout(false);
@@ -1625,6 +1625,7 @@
             this.groupBox1.ResumeLayout(false);
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).EndInit();
+            this.TabCollections.ResumeLayout(false);
             this.ResumeLayout(false);
 
         }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntry.cs	(revision 6)
@@ -90,19 +90,19 @@
         /// <summary>
         /// 簡易版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitile1 = "発注条件";
+        private const string s_TermsTitle1 = "発注条件";
         /// <summary>
         /// 正規版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitile2 = "施工指示事項";
+        private const string s_TermsTitle2 = "施工指示事項";
         /// <summary>
         /// 簡易版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitileGrid1 = "条　　　件";
+        private const string s_TermsTitleGrid1 = "条　　　件";
         /// <summary>
         /// 正規版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitileGrid2 = "指　示　事　項";
+        private const string s_TermsTitleGrid2 = "指　示　事　項";
         #endregion
 
         #region 現金手形比率
@@ -908,8 +908,8 @@
                     // 正規版支払い条件
                     CurPage.EntryGroupBox[(int)PageGroupBox.RegularTypeGroup].Visible = false;
                     // 条件グループ
-                    CurPage.EntryGroupBox[(int)PageGroupBox.OrderTermsGroup].Text = s_TermsTitile1;
-                    dgv.Columns[(int)DispTermsGridColumn.Terms].HeaderText = s_TermsTitileGrid1;
+                    CurPage.EntryGroupBox[(int)PageGroupBox.OrderTermsGroup].Text = s_TermsTitle1;
+                    dgv.Columns[(int)DispTermsGridColumn.Terms].HeaderText = s_TermsTitleGrid1;
                     // その他グループ
                     CurPage.EntryGroupBox[(int)PageGroupBox.EtcGroup].Visible = false;
                     // ベースパネルスクロール
@@ -932,8 +932,8 @@
                     // 正規版支払い条件
                     CurPage.EntryGroupBox[(int)PageGroupBox.RegularTypeGroup].Visible = true;
                     // 条件グループ
-                    CurPage.EntryGroupBox[(int)PageGroupBox.OrderTermsGroup].Text = s_TermsTitile2;
-                    dgv.Columns[(int)DispTermsGridColumn.Terms].HeaderText = s_TermsTitileGrid2;
+                    CurPage.EntryGroupBox[(int)PageGroupBox.OrderTermsGroup].Text = s_TermsTitle2;
+                    dgv.Columns[(int)DispTermsGridColumn.Terms].HeaderText = s_TermsTitleGrid2;
                     // その他グループ
                     CurPage.EntryGroupBox[(int)PageGroupBox.EtcGroup].Visible = true;
                     // ベースパネルスクロール
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/FrmPurchaseOrderEntryAuxiliary.cs	(revision 6)
@@ -160,6 +160,7 @@
             IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
             IOMPersonInCharge picDB = new IOMPersonInCharge();
             IOMConstructionType ctypeDB = new IOMConstructionType();
+            IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             try
             {
                 m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionBaseInfo.ConstructionCode, "-", 8);       // 工事コード
@@ -191,18 +192,34 @@
 
                 m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                                    // 工事担当者
 
-                // 支払条件の初期設定
-                if (!GetConstructionTypeToExecNo())
+                // 注文書タイプ取得
+                strSQL = OrderDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
+                List<PurchaseOrder> OrderList = new List<PurchaseOrder>();
+                OrderDB.SelectAction(strSQL, ref OrderList);
+                PurchaseOrder OrderRec = new PurchaseOrder();
+                if (OrderList.Count != 0)
                 {
-                    // 注文書種別(簡易版)
-                    radioButton1.Checked = true;
+                    OrderRec = OrderList[0];
+                    if (OrderRec.OrderSheetType == (int)CommonDefine.OrderSheetType.SimpleType) radioButton1.Checked = true;
+                    else radioButton2.Checked = true;
                 }
                 else
                 {
-                    // 注文書種別(正規版)
-                    radioButton2.Checked = true;
+                    radioButton1.Checked = true;
                 }
 
+                // 支払条件の初期設定（現状は簡易版しか使用しない）
+                //if (!GetConstructionTypeToExecNo())
+                //{
+                //     // 注文書種別(簡易版)
+                //      radioButton1.Checked = true;
+                //}
+                //else
+                //{
+                //    // 注文書種別(正規版)
+                //    radioButton2.Checked = true;
+                //}
+
                 // 工事種別マスタ取得
                 strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
                 ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
@@ -231,6 +248,7 @@
                 cbidDB.close(); cbidDB = null;
                 picDB.close(); picDB = null;
                 ctypeDB.close(); ctypeDB = null;
+                OrderDB.close(); OrderDB = null;
             }
         }
         #endregion
@@ -467,7 +485,9 @@
             {
                 // 注文書データ読込
                 string strSQL = DetailDB.CreatePrimarykeyString(m_ConstructionCode);
-                strSQL += " AND CompanyCode <> 0 ORDER BY CompanyCode";
+                strSQL += " AND CompanyCode <> 0";
+                strSQL += string.Format(" AND COMPANYTYPE <> {0}", (int)CommonDefine.SearchLogDataType.Person);
+                strSQL += " ORDER BY CompanyCode";
                 List<ConstructionBudgetDetail> DetailList = new List<ConstructionBudgetDetail>();
                 if (!DetailDB.SelectAction(strSQL, ref DetailList)) return false;
                 if (DetailList.Count == 0) return false;
@@ -534,17 +554,17 @@
                     SetConstructionBudget(inputpage, SumBuffer, icnt);
                     icnt++;
                 }
-                // 支払条件の初期設定
-                if (!GetConstructionTypeToExecNo())
-                {
-                    // 注文書種別(簡易版)
-                    radioButton1.Checked = true;
-                }
-                else
-                {
-                    // 注文書種別(正規版)
-                    radioButton2.Checked = true;
-                }
+                //// 支払条件の初期設定
+                //if (!GetConstructionTypeToExecNo())
+                //{
+                //    // 注文書種別(簡易版)
+                //    radioButton1.Checked = true;
+                //}
+                //else
+                //{
+                //    // 注文書種別(正規版)
+                //    radioButton2.Checked = true;
+                //}
                 EventArgs e = new EventArgs();
                 radioButton1_CheckedChanged((object)radioButton1, e);
 
@@ -1050,13 +1070,13 @@
         /// 論理エラー時メッセージボックス
         /// </summary>
         /// <param name="strLogString"></param>
-        /// <param name="strTitile"></param>
+        /// <param name="strTitle"></param>
         /// <param name="strMethodName"></param>
         /// <param name="strMessage"></param>
-        private void LogicalErrorMessage(string strLogString, string strTitile, string strMethodName, string strMessage = "")
+        private void LogicalErrorMessage(string strLogString, string strTitle, string strMethodName, string strMessage = "")
         {
-            logger.ErrorFormat(strLogString + "：" + strTitile + "：" + strMethodName + "：" + strMessage);
-            MessageBox.Show(strLogString, strTitile, MessageBoxButtons.OK, MessageBoxIcon.Error);
+            logger.ErrorFormat(strLogString + "：" + strTitle + "：" + strMethodName + "：" + strMessage);
+            MessageBox.Show(strLogString, strTitle, MessageBoxButtons.OK, MessageBoxIcon.Error);
         }
         #endregion
 
@@ -1393,8 +1413,20 @@
                     for (int ii = 0; ii < m_TabPageList[i].EntryGroupBox.Length; ii++)
                     {
                         GroupBox CurGrp = m_TabPageList[i].EntryGroupBox[ii];
-                        if (ii == 0) continue;
-                        CurGrp.Enabled = false;
+                        bool bEnable = false;
+                        switch (ii)
+                        {
+                            case (int)PageGroupBox.DetailGroup:
+                            case (int)PageGroupBox.OrderTermsGroup:
+                                bEnable = true;
+                                break;
+                            default:
+                                break;
+                        }
+                        CurGrp.Enabled = bEnable;
+
+                        m_TabPageList[i].Group1Button[(int)Group1Button.Up].Visible = false;
+                        m_TabPageList[i].Group1Button[(int)Group1Button.Down].Visible = false;
                     }
                     m_TabPageList[i].PageTextBox.Enabled = false;
                     m_TabPageList[i].Group1TextBox.Enabled = false;
@@ -1408,6 +1440,8 @@
                 btnDataDelete.Visible = false;                      // 削除ボタン
                 btnDispUp.Visible = false;                          // 行アップボタン
                 btnDispDown.Visible = false;                        // 行ダウンボタン
+                btnChangeCompany.Visible = false;                   // 発注先変更ボタン
+                btnPageDelete.Visible = false;                      // ページ削除ボタン
             }
             catch (Exception ex)
             {
@@ -1599,7 +1633,7 @@
                 // 位置設定
                 m_frmInputImage.LocationPoint = new Point(this.Right, this.Top);
                 // タスクバーに表示しない
-                m_frmInputImage.ShowInTaskbar = false;
+                //m_frmInputImage.ShowInTaskbar = false;
 
                 // 注文書種別セット
                 if (radioButton1.Checked)
@@ -2143,7 +2177,7 @@
                 // 協力会社選択画面表示
                 frm.ConstructionCode = m_ConstructionCode;
                 frm.StartupSource = (int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry;
-                frm.ShowInTaskbar = false;
+                //frm.ShowInTaskbar = false;
                 frm.ShowDialog();
 
                 // ＯＫ以外は処理を抜ける
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderEntry/ProcessControl.cs	(revision 6)
@@ -322,32 +322,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-            // フォームがあれば最前面へ
-            FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書入力起動
-            frm = new FrmEstimateInput();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
-            frm.Show();
         }
         #endregion
 
@@ -359,32 +366,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-            // フォームがあれば最前面へ
-            FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書印刷起動
-            frm = new FrmEstimatePrint();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
-            frm.Show();
         }
         #endregion
 
@@ -636,7 +650,7 @@
                 frm = new FrmConstructionLedger();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 6)
@@ -90,19 +90,19 @@
         /// <summary>
         /// 簡易版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitile1 = "発注条件";
+        private const string s_TermsTitle1 = "発注条件";
         /// <summary>
         /// 正規版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitile2 = "施工指示事項";
+        private const string s_TermsTitle2 = "施工指示事項";
         /// <summary>
         /// 簡易版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitileGrid1 = "条　　　件";
+        private const string s_TermsTitleGrid1 = "条　　　件";
         /// <summary>
         /// 正規版条件グリッドタイトル
         /// </summary>
-        private const string s_TermsTitileGrid2 = "指　示　事　項";
+        private const string s_TermsTitleGrid2 = "指　示　事　項";
         #endregion
 
         #region 注文書種別
@@ -590,7 +590,7 @@
                 }
 
                 // ウィンドウ表示
-                frmStatus.ShowInTaskbar = false;
+                //frmStatus.ShowInTaskbar = false;
                 frmStatus.ShowDialog();
 
                 // 終了状態
@@ -619,7 +619,7 @@
                     if (bSimplePrint) frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
                     else frm.SaveType = (int)CommonDefine.SaveFileType.WordFile;
 
-                    frm.ShowInTaskbar = false;
+                    //frm.ShowInTaskbar = false;
                     
                     frm.ShowDialog();
                     if (frm.EndButton == DialogResult.Cancel) return;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/ProcessControl.cs	(revision 6)
@@ -322,32 +322,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimateInput(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
-            // フォームがあれば最前面へ
-            FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                // フォームがあれば最前面へ
+                FrmEstimateInput frm = (FrmEstimateInput)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書入力起動
+                frm = new FrmEstimateInput();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書入力起動
-            frm = new FrmEstimateInput();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimateInputClosed);
-            frm.Show();
         }
         #endregion
 
@@ -359,32 +366,39 @@
         /// <param name="e"></param>
         private void ProcessExecute_EstimatePrint(object sender, EventArgs e)
         {
-            int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
-            // フォームがあれば最前面へ
-            FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
-            if (frm != null)
+            try
             {
-                frm.Activate();
-                return;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimatePrint;
+                // フォームがあれば最前面へ
+                FrmEstimatePrint frm = (FrmEstimatePrint)ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle;
+                if (frm != null)
+                {
+                    frm.Activate();
+                    return;
+                }
+
+                // データ変更有時はデータ登録
+                if (m_bChengeAns)
+                {
+                    if (!DataEntryProcess()) return;
+                }
+
+                // 積算見積書印刷起動
+                frm = new FrmEstimatePrint();
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+                frm.ConstructionCode = m_ConstructionCode;
+                frm.SubForm = true;
+                frm.ShowInTaskbar = true;
+
+                // クロースドハンドラをこちらで定義する
+                frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
+                frm.Show();
             }
-
-            // データ変更有時はデータ登録
-            if (m_bChengeAns)
+            catch (Exception ex)
             {
-                if (!DataEntryProcess()) return;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-
-            // 積算見積書印刷起動
-            frm = new FrmEstimatePrint();
-            ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
-            ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-            frm.ConstructionCode = m_ConstructionCode;
-            frm.SubForm = true;
-            frm.ShowInTaskbar = true;
-
-            // クロースドハンドラをこちらで定義する
-            frm.FormClosed += new FormClosedEventHandler(FrmEstimatePrintClosed);
-            frm.Show();
         }
         #endregion
 
@@ -636,7 +650,7 @@
                 frm = new FrmConstructionLedger();
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = s_CurrentProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
-                frm.ConstructionCode = m_ConstructionCode;
+                frm.ConstructionCode = ClsProcessExist.GetParentConstrCode(m_ConstructionCode);
                 frm.SubForm = true;
                 frm.ShowInTaskbar = true;
 
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/SalesGraphData/FrmSalesGraphData.cs	(revision 6)
@@ -312,8 +312,7 @@
             }
             finally
             {
-                sgdDB.close();
-                sgdDB = null;
+                sgdDB.close(); sgdDB = null;
             }
         }
         #endregion
@@ -633,8 +632,7 @@
             }
             finally
             {
-                sgdDB.close();
-                sgdDB = null;
+                sgdDB.close(); sgdDB = null;
             }
         }
         #endregion
